/**
 * Imperative (procedural) function to display fomantic 'toast' component.
 * @module components/proc-toast
 */
import { jQueryElem } from "../data/common";
/** Imperative function to display Semantic UI Toast component.
 *
 * https://fomantic-ui.com/modules/toast.html
 *
 * Example:
```
    <script>
        toast({
            class: 'success',
            title: 'Better?',
            message: `You're using the good framework!`,
            displayTime: 5000,
        });
    <script>
```
*/
export function toast(settings) {
    console.debug("toast - created");
    const body = jQueryElem(document.body);
    if (!body.toast) {
        throw new Error("Semantic toast is not initialized");
    }
    body.toast({
        // ...toastDefaults,
        ...settings,
    });
}
