/**
 * Svelte action to initialize semantic popup component.
 * @module components/use-popup
 */
import type { PopupSettings } from "../data/semantic-types";
/** Svelte action to initialize Semantic UI `Popup` component.

https://semantic-ui.com/modules/popup.html

Supply popup parameters using a settings object or throught data-* attributes.
```
    <input type="text" bind:value={name2}
        use:popup={{
            content: "Please enter given name",
            position: "bottom right"
        }}
    >
```
*/
export declare function popup(node: Element, settings?: PopupSettings): void;
