/**
 * Common field validation controller.
 * @module data/field-controller
 */
import type { FormController, RuleDefinition } from "../data/common";
import type { JQueryApi } from "../data/semantic-types";
/** Iterate through ancestors till `form` if found. */
export declare function getParentForm(elem: JQueryApi): JQueryApi;
/** Get or assign field identifier: id, name, data-validate */
export declare function getOrAssignKey(elem: JQueryApi, prefix?: string): string;
export declare class FieldController {
    key: string | undefined;
    formCtrl?: FormController;
    rules?: RuleDefinition;
    constructor(elem: JQueryApi, validationRules?: RuleDefinition, prefix?: string);
    /** Validate the new field value, if the field is validated */
    revalidate(): void;
    /** Remove rules and revalidate */
    removeRules(): void;
}
