/**
 * International English translations and formats.
```text
 Number: $1 000.00
 Date:   May 1, 2024 14:50
```
 * @module i18n/en
 */
import type { CalendarSettings, FormPropmt } from "../data/semantic-types";
declare const _default: {
    form: {
        prompt: FormPropmt;
        text: FomanticUI.Form.Settings.Texts;
    };
    calendar: {
        name?: string | undefined;
        type?: "time" | "month" | "year" | "date" | "datetime" | undefined;
        inline?: boolean | undefined;
        silent?: boolean | undefined;
        error?: Partial<Pick<FomanticUI.Calendar.Settings.Errors, keyof FomanticUI.Calendar.Settings.Errors>> | undefined;
        metadata?: Partial<Pick<FomanticUI.Calendar.Settings.Metadatas, keyof FomanticUI.Calendar.Settings.Metadatas>> | undefined;
        text: FomanticUI.Calendar.TextSettings;
        on?: "click" | "focus" | null | undefined;
        className?: Partial<Pick<FomanticUI.Calendar.Settings.ClassNames, keyof FomanticUI.Calendar.Settings.ClassNames>> | undefined;
        performance?: boolean | undefined;
        selector?: Partial<Pick<FomanticUI.Calendar.Settings.Selectors, keyof FomanticUI.Calendar.Settings.Selectors>> | undefined;
        namespace?: string | undefined;
        debug?: boolean | undefined;
        verbose?: boolean | undefined;
        regExp?: Partial<Pick<FomanticUI.Calendar.Settings.RegExps, keyof FomanticUI.Calendar.Settings.RegExps>> | undefined;
        firstDayOfWeek?: 0 | 2 | 1 | 3 | 4 | 5 | 6 | 7 | undefined;
        constantHeight?: boolean | undefined;
        today?: boolean | undefined;
        closable?: true | undefined;
        monthFirst?: boolean | undefined;
        touchReadonly?: boolean | undefined;
        showWeekNumbers?: boolean | undefined;
        disabledDaysOfWeek?: number[] | undefined;
        disabledDates?: object[] | undefined;
        enabledDates?: object[] | undefined;
        eventDates?: object[] | undefined;
        eventClass?: string | undefined;
        initialDate?: Date | null | undefined;
        startMode?: false | "day" | "hour" | "minute" | "month" | "year" | undefined;
        minDate?: Date | null | undefined;
        maxDate?: Date | null | undefined;
        ampm?: boolean | undefined;
        disableYear?: boolean | undefined;
        disableMonth?: boolean | undefined;
        disableMinute?: boolean | undefined;
        formatInput?: boolean | undefined;
        startCalendar?: string | JQuery<HTMLElement> | null | undefined;
        endCalendar?: string | JQuery<HTMLElement> | null | undefined;
        multiMonth?: number | undefined;
        minTimeGap?: 5 | 10 | 15 | 20 | 30 | undefined;
        centuryBreak?: number | undefined;
        currentCentury?: number | undefined;
        selectAdjacentDays?: 5 | 10 | 15 | 20 | 30 | undefined;
        popupOptions?: Partial<Pick<FomanticUI.Calendar.Settings.Popup, keyof FomanticUI.Calendar.Settings.Popup>> | undefined;
        onBeforeChange?: ((this: JQuery) => void) | undefined;
        onShow?: ((this: JQuery) => void) | undefined;
        onVisible?: ((this: JQuery) => void) | undefined;
        onHide?: ((this: JQuery) => void) | undefined;
        onHidden?: ((this: JQuery) => void) | undefined;
        onSelect?: ((this: JQuery, date: Date, mode: string) => void) | undefined;
        onChange?(this: JQuery<HTMLElement>, date: Date, text: string, mode: string): void;
        formatter?: {
            cellTime?: string | import("../data/semantic-types").DateFormatFn;
            date?: string | import("../data/semantic-types").DateFormatFn;
            datetime?: string | import("../data/semantic-types").DateFormatFn;
            time?: string | import("../data/semantic-types").DateFormatFn;
            month?: string | import("../data/semantic-types").DateFormatFn;
            year?: string | import("../data/semantic-types").DateFormatFn;
            dayHeader?: string | import("../data/semantic-types").DateFormatFn;
            hourHeader?: string | import("../data/semantic-types").DateFormatFn;
            minuteHeader?: string | import("../data/semantic-types").DateFormatFn;
            monthHeader?: string | import("../data/semantic-types").DateFormatFn;
            yearHeader?: (date: Date, settings: CalendarSettings) => string;
            cell?: (cell: JQuery, date: Date, options: {
                mode: string;
                adjacent: boolean;
                disabled: boolean;
                active: boolean;
                today: boolean;
            }) => string;
            dayColumnHeader?: (day: number, settings: CalendarSettings) => string;
            today?: (settings: CalendarSettings) => string;
        };
        parser?: {
            date?: import("../data/semantic-types").DateParseFn;
        };
    };
    number: {
        decimalSeparator: string;
        thousandSeparator: string;
        moneyPrefix: string;
        moneySuffix: string;
        moneyPrecision: number;
        listSeparator: string;
    };
    dropdown: {
        message: FomanticUI.Dropdown.Settings.Messages;
    };
    progress: {
        text: Partial<FomanticUI.Progress.Settings.Texts>;
    };
};
export default _default;
