/**
 * Formats for American Spanish.
```text
 Number: $1.000,00
 Date:   3/1/2024 2:50 PM
```
 * @module i18n/es-US
 */
const formPrompt = {
    email: "{name} debe ser un email válido",
};
const formText = {
    unspecifiedRule: "Por favor, ingrese un valor válido",
    leavingMessage: "Hay cambios no guardados en esta página que se perderán si continúas.",
};
const calendarSettings = {
    firstDayOfWeek: 0,
    monthFirst: true,
    formatter: {
        cellTime: "h:mm A",
        date: "M/D/YYYY",
        datetime: "M/D/YYYY h:mm A",
        time: "h:mm A",
    },
};
const numberSettings = {
    decimalSeparator: ",",
    thousandSeparator: ".",
    moneyPrefix: "$",
    moneySuffix: "",
    moneyPrecision: 2,
    listSeparator: ",",
};
export default {
    form: {
        prompt: formPrompt,
        text: formText,
    },
    calendar: {
        ...calendarSettings,
    },
    number: {
        ...numberSettings,
    },
};
